import get from 'lodash.get'

const parseData = packet => {
  const admitPeriod = get(packet, 'admit_period', '')
  const applicantType = get(packet, 'applicant_type', '')
  const date = get(packet, 'date', '')
  const decision = get(packet, 'decision', '')
  const level = get(packet, 'decision_level', '')
  const note = get(packet, 'note', '')
  const officer = get(packet, 'officer', '')
  const qualifier = get(packet, 'qualifier', '')
  return {
    admitPeriod,
    applicantType,
    date,
    decision,
    level,
    note,
    officer,
    qualifier
  }
}

export default decisionHistory => {
  const values = get(decisionHistory, 'values', [])
  return values.map(parseData)
}
