const convTable = [
  [ 1570, 36 ],
  [ 1530, 35 ],
  [ 1490, 34 ],
  [ 1450, 33 ],
  [ 1420, 32 ],
  [ 1390, 31 ],
  [ 1360, 30 ],
  [ 1330, 29 ],
  [ 1300, 28 ],
  [ 1260, 27 ],
  [ 1230, 26 ],
  [ 1200, 25 ],
  [ 1160, 24 ],
  [ 1130, 23 ],
  [ 1100, 22 ],
  [ 1060, 21 ],
  [ 1030, 20 ],
  [ 990, 19 ],
  [ 960, 18 ],
  [ 920, 17 ],
  [ 880, 16 ],
  [ 830, 15 ],
  [ 780, 14 ],
  [ 730, 13 ],
  [ 690, 12 ],
  [ 650, 11 ],
  [ 620, 10 ],
  [ 590, 9 ]
]

export function sat2Act (score) {
  if (!score) return undefined
  const asNum = Number(score)
  if (!Number.isInteger(asNum)) return undefined
  if (Number.isNaN(asNum)) return undefined
  if (asNum < 590) return undefined
  return convTable.find(([sat, act]) => score >= sat)[1]
}

export function sat2ActFilter (value) {
  if (!value) return value
  const converted = sat2Act(value)
  if (converted === undefined) return '?'
  return converted
}
