const hsSummary = require('./hsSummary.json')
const get = require('lodash.get')
const { calculateGpa } = require('./gpaCalculation')

const parseHighSchoolSummary = h => {
  const parseHsClass = c => {
    return {
      ap: get(c, 'ap_ib_flag.value') === 'Y',
      courseName: get(c, 'course_name.value'),
      credits: get(c, 'credits.value'),
      gradeLevel: get(c, 'grade_level.value'),
      grades: get(c, 'grades').map(g => g.value),
      gradingTerms: get(c, 'grading_terms.value'),
      repeated: get(c, 'repeated.value') === 'Y',
      subject: get(c, 'subject.value')
    }
  }
  const sortHsClasses = (a, b) => {
    return a.gradeLevel - b.gradeLevel
  }
  return {
    highSchool: get(h, 'high_school.description'),
    highSchoolType: get(h, 'high_school_type.value'),
    startMonth: get(h, 'start_month.value'),
    endMonth: get(h, 'end_month.value'),
    graduationStatus: get(h, 'graduation_status.value'),
    graduationDate: get(h, 'graduation_date.value'),
    highSchoolGpa: get(h, 'high_school_gpa.value'),
    gpaCalculated: get(h, 'gpa_calculated.value'),
    concurrentEnrollment: get(h, 'concurrent_enrollment.value'),
    updatedDateTime: get(h, 'updated_date_time.value'),
    updatedById: get(h, 'updated_by_id.value'),
    dateTimeVerified: get(h, 'date_time_verified.value'),
    highSchoolCountry: get(h, 'high_school_country.value'),
    highSchoolState: get(h, 'high_school_state.value'),
    highSchoolCity: get(h, 'high_school_city.value'),
    linkToDocumentImage: get(h, 'link_to_document_image.value'),
    linkToSecondaryDocumentImage: get(h, 'link_to_secondary_document_image.value'),
    transcriptSource: get(h, 'transcript_source.value'),
    apIbFullClasses: get(h, 'ap_ib_full_classes.value'),
    apIbHalfClasses: get(h, 'ap_ib_half_classes.value'),
    listOfClasses: get(h, 'list_of_classes').map(parseHsClass).sort(sortHsClasses)
  }
}

const parsed = parseHighSchoolSummary(hsSummary)
const calculated = calculateGpa(parsed.listOfClasses, parsed.highSchoolState)
console.log(calculated)
