/*
 * shape of elements:
 * {
 *   prompt: '',
 *   response: ''
 * }
 */
export const state = {
  name: '',
  description: '',
  elements: []
}

export const getters = {
  hasActivity (state) {
    return state.description && state.elements.length > 0
  }
}

export const mutations = {
  resetActivity (state) {
    state.name = ''
    state.description = ''
    state.elements = []
  },
  setActivity (state, activity = {}) {
    const { elements = [] } = activity
    state.name = activity.name
    state.description = activity.description
    state.elements = elements.slice(0)
  }
}
