import { yearTermFormat } from '@byu-oit/vue-decision-processing-components/dateTimeFormat'

// initial state
// data shape: {
//   applicant_name,
//   application_uuid,
//   applicant_id,
//   applicant_type,
//   applicant_major,
//   admit_period,
// }
// query shape: {
//  admitPeriod,
//  limit,
//  offset,
// }
export const state = {
  data: [],
  prevPage: [],
  nextPage: [],
  total: 0,
  fetchedOn: undefined,
  query: {
    admitPeriod: '',
    limit: 25,
    offset: 0
  }
}

export const getters = {
  applicationListName (state) {
    const value = state.query.admitPeriod
    if (!value) return ''
    if (/^[0-9]{5}$/.test(value)) {
      return yearTermFormat(value)
    }
    switch (value) {
      default:
        return 'Applications'
    }
  // },
  // prevApplication: state => currentId => {
  //   const idx = state.data.findIndex(a => a.application_uuid === currentId)
  //   if (idx <= 0) return null
  //   return state.data[idx - 1].application_uuid
  // },
  // nextApplication: state => currentId => {
  //   const idx = state.data.findIndex(a => a.application_uuid === currentId)
  //   if (idx < 0 || idx + 1 >= state.data.length) return null
  //   return state.data[idx + 1].application_uuid
  }
}

export const actions = {
}

export const mutations = {
  setApplicationListData (state, data = []) {
    state.data = data
  },
  setApplicationListTotal (state, total) {
    state.total = total
  },
  setApplicationListCacheControl (state, { fetchedOn, query }) {
    state.fetchedOn = fetchedOn
    state.query = query
  },
  modifyApplicationListQuery (state, query) {
    state.query = query
  }
}
