/*
 * Shape of criminal convictions:
 * {
 *   crime: '',
 *   crimeYear: '',
 *   courts: '',
 *   conditions: '',
 *   probation: '',
 *   probationExplanation: '',
 *   penalties: '',
 *   penaltiesExplanation: '',
 *   additionalExplanation: ''
 * }
 */
export const state = {
  convictionRecord: '',
  criminalConvictions: [],
  universityDiscipline: '',
  disciplineExplanation: '',
  pluralMarriage: '',
  pluralMarriageExplanation: '',
  sexRegistry: '',
  sexRegistryExplanation: ''
}

export const mutations = {
  resetBackground (state) {
    state.convictionRecord = ''
    state.criminalConvictions = []
    state.universityDiscipline = ''
    state.disciplineExplanation = ''
    state.pluralMarriage = ''
    state.pluralMarriageExplanation = ''
    state.sexRegistry = ''
    state.sexRegistryExplanation = ''
  },
  setBackground (state, background = {}) {
    state.convictionRecord = background.convictionRecord
    state.criminalConvictions = background.criminalConvictions
    state.universityDiscipline = background.universityDiscipline
    state.disciplineExplanation = background.disciplineExplanation
    state.pluralMarriage = background.pluralMarriage
    state.pluralMarriageExplanation = background.pluralMarriageExplanation
    state.sexRegistry = background.sexRegistry
    state.sexRegistryExplanation = background.sexRegistryExplanation
  }
}
