/**
 * classes: [
 * {
 *   className: get(c, 'institute_class.value'),
 *   academicYear: get(c, 'academic_year.value'),
 *   grade: get(c, 'grade.value'),
 *   forCredit: get(c, 'for_credit.value')
 * }...
 * ]
 */
export const state = {
  attendance: '',
  explanation: '',
  classes: []
}

export const mutations = {
  resetInstitute (state) {
    state.attendance = ''
    state.explanation = ''
    state.classes = []
  },
  setInstitute (state, institute = {}) {
    state.attendance = institute.attendance
    state.explanation = institute.explanation
    if (Array.isArray(institute.classes)) {
      state.classes = institute.classes.slice(0)
    }
  }
}
