import * as decision from './decision'
import * as decisionHistory from './decisionHistory'
import * as flags from './flags'
import * as processes from './processes'

export const state = {
  institution: '',
  admitPeriod: '',
  applicantId: '',
  applicantMajor: '',
  applicantName: '',
  applicantType: '',
  hasFlags: false
}

export const mutations = {
  resetPacket (state) {
    state.institution = ''
    state.admitPeriod = ''
    state.applicantId = ''
    state.applicantMajor = ''
    state.applicantName = ''
    state.applicantType = ''
    state.hasFlags = false
  },
  setPacket (state, payload = {}) {
    state.institution = payload.institution
    state.admitPeriod = payload.admitPeriod
    state.applicantId = payload.applicantId
    state.applicantMajor = payload.applicantMajor
    state.applicantName = payload.applicantName
    state.applicantType = payload.applicantType
    state.hasFlags = payload.hasFlags
  }
}

export const actions = {
  resetPacket ({ commit }) {
    commit('resetPacket')
    commit('resetDecisionHistory')
    commit('resetDecision')
    commit('resetFlags')
    commit('resetProcesses')
  }
}

export const modules = {
  decision,
  decisionHistory,
  flags,
  processes
}
