// list shape:
// {
//   byuId: ''
//   name: ''
//   role: ''
//   count: 0
// }
export const state = {
  list: [],
  bulkChange: {
    total: 0,
    complete: 0
  }
}

export const getters = {
  usersById: state => id => {
    return state.list.find(u => u.byuId === id) || { byuId: id, role: '?', count: 0 }
  },
  usersByRole: state => role => {
    return state.list.filter(u => u.role === role)
  }
}

export const mutations = {
  setUsers (state, { users = [] }) {
    state.list = users
  },
  setUserAssignmentCount (state, { byuId, count }) {
    const idx = state.list.findIndex(u => u.byuId === byuId)
    if (idx >= 0) {
      state.list[idx].count = count
    }
  },
  bulkReassign (state, { total, complete = 0 }) {
    if (total !== undefined) {
      state.bulkChange.total = total
    }
    if (total === 0) {
      state.bulkChange.complete = 0
    } else {
      state.bulkChange.complete += complete
    }
  }
}
